package cn.qqck.kotlin.tools

/**
 * 对当前字节数组进行MD5哈希运算。
 *
 * @return 哈希计算后的字节数组结果，即MD5摘要。
 */
fun ByteArray.md5(): ByteArray = java.security.MessageDigest.getInstance("MD5").digest(this)

/**
 * 对当前字符串进行 MD5 哈希计算。
 *
 * @return 哈希计算后的字节数组表示。
 */
fun String.md5(): ByteArray = java.security.MessageDigest.getInstance("MD5").digest(this.toByteArray())
