package cn.qqck.kotlin.tools

/**
 * 对当前字符串进行 URL 编码。
 *
 * 使用 UTF-8 编码方式，将字符串转换为适合在 URL 中传输的格式，替换特殊字符为百分号转义表示。
 *
 * @return 返回经过 URL 编码后的字符串表达形式。
 */
fun String.enurl(): String = java.net.URLEncoder.encode(this, "utf-8")

/**
 * 对当前字符串进行URL解码操作，按照UTF-8编码规则将编码后的URL字符串转换为原始字符串。
 *
 * @return 解码后的字符串。如果解码失败，可能抛出UnsupportedEncodingException或其他运行时异常。
 */
fun String.deurl(): String = java.net.URLDecoder.decode(this, "utf-8")
